View Issue Details

IDProjectCategoryView StatusLast Update
0012868LazarusIDEpublic2009-03-20 10:48
ReporterS. Marcelo Assigned ToPaul Ishenin  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformAllOSWinXP 
Product Version0.9.27 (SVN) 
Target Version1.0.0Fixed in Version0.9.26.2 
Summary0012868: Object Inspector: Having property changes lost
Description* Object Inspector: when changing property value in Object Inspector you have to press ENTER or change wont happen.
Steps To ReproducePut two buttons in the form, click in first button and click in OI-Caption field, and type 'something' now click in the other button and changes done to the first button are lost.
Additional InformationDelphi goes even far thought setting property in real-time, (in this case, caption: at each letter typed) this way things are updated in realtime, and to the user it looks much more friendly and dynamic.
TagsNo tags attached.
Fixed in Revision18193
LazTarget1.0
WidgetsetWin32/Win64
Attached Files

Activities

Alexander S. Klenin

2008-12-28 11:48

developer   ~0024021

This is indeed an irritating bug.
I tried to investigate it, but found the code and design of
ObjectInspector to be just as messy as those of SynEdit :(
So I will first try some refactorings -- hopefully this will
allow me to understand the code enough to solve the issue.

Paul Ishenin

2009-01-07 10:19

manager   ~0024230

Alexander, will you look at it or should I look? If you want to fix this issue I can assign it to you and change your status in the mantis to 'developer'.

Paul Ishenin

2009-01-07 18:56

manager   ~0024255

Please test and close if ok.

S. Marcelo

2009-01-09 01:46

reporter   ~0024306

This issue is now solved. Happy L2009 :)

Issue History

Date Modified Username Field Change
2008-12-27 18:02 S. Marcelo New Issue
2008-12-27 18:02 S. Marcelo Widgetset => Win32
2008-12-27 18:09 Paul Ishenin LazTarget => 1.0
2008-12-27 18:09 Paul Ishenin Status new => confirmed
2008-12-27 18:09 Paul Ishenin Target Version => 1.0.0
2008-12-28 11:48 Alexander S. Klenin Note Added: 0024021
2009-01-07 10:19 Paul Ishenin Note Added: 0024230
2009-01-07 10:19 Paul Ishenin Status confirmed => feedback
2009-01-07 18:56 Paul Ishenin Fixed in Revision => 18193
2009-01-07 18:56 Paul Ishenin Status feedback => resolved
2009-01-07 18:56 Paul Ishenin Fixed in Version => 0.9.27 (SVN)
2009-01-07 18:56 Paul Ishenin Resolution open => fixed
2009-01-07 18:56 Paul Ishenin Assigned To => Paul Ishenin
2009-01-07 18:56 Paul Ishenin Note Added: 0024255
2009-01-09 01:46 S. Marcelo Status resolved => closed
2009-01-09 01:46 S. Marcelo Note Added: 0024306
2009-03-20 10:48 Vincent Snijders Fixed in Version 0.9.27 (SVN) => 0.9.26.2